Subject: bug#34196: 27.0.50; tramp hangs on wrong password with global-auto-revert-mode

From: Michael Albinus <[email-masked]>
Date: Tue, 05 Feb 2019 21:07:19 +0100

Aaron Jensen <[email-masked]> writes:

>> No, I haven't tried. But auto-revert-notify-add-watch is called after
>> auto-revert-active-p, so it's not sufficient to test it such late.
>
> Not sufficient for what, exactly? Testing it only in
> auto-revert-notify-add-watch prevents the hang for me. The only thing
> it wouldn't prevent is auto-revert-handler getting called, but that
> doesn't seem to have any negative impact as far as I could tell, but I
> could be missing an edge case.

As I said earlier, I've tried to add the test in auto-revert-active-p,
and this wasn't successful; the problem still happened.

And auto-revert-notify-add-watch is called only if auto-revert-active-p
returns non-nil.

> Aaron

Best regards, Michael.